import MenuMixin from './mixin';
import { MenuItem } from 'element-ui';
const __component__ = {
  name: MenuItem.name,
  componentName: MenuItem.componentName,
  mixins: [MenuMixin, ...MenuItem.mixins.slice(1)],
  props: MenuItem.props,
  computed: {
    active: MenuItem.computed.active,
    className() {
      return {
        'el-menu-item': true,
        'is-active': this.active,
        'is-disabled': this.disabled
      };
    },
    showTooltip() {
      return this.parentMenu.$options.componentName === 'ElMenu' && this.rootMenu.collapse;
    },
    iconContainerStyle() {
      return `position: absolute;left: 0;top: 0;height: 100%;width: 100%;display: inline-block;box-sizing: border-box;padding: 0 ${this.inlineIndent}px;`;
    }
  },
  methods: {
    handleClick: MenuItem.methods.handleClick
  },
  mounted: MenuItem.mounted,
  beforeDestroy: MenuItem.beforeDestroy
};
var __render__ = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c('li', {
    class: _vm.className,
    style: _vm.paddingStyle,
    on: {
      "click": _vm.handleClick
    }
  }, [_vm.showTooltip ? _c('el-tooltip', {
    attrs: {
      "effect": "dark",
      "placement": "right"
    },
    scopedSlots: _vm._u([{
      key: "content",
      fn: function () {
        return [_vm._t("title")];
      },
      proxy: true
    }], null, true)
  }, [_c('div', {
    style: _vm.iconContainerStyle
  }, [_vm._t("default")], 2)]) : [_vm._t("default"), _vm._v(" "), _vm._t("title")]], 2);
};
var __staticRenderFns__ = [];
__component__.render = __render__;
__component__.staticRenderFns = __staticRenderFns__;
__component__._compiled = true;
export default __component__;