import { pageGetters, pageMutations, tagsViewGetters } from '../../store';
import { getRouterKey } from '../../config/logic';
import { isEmpty } from '../../util';
const __component__ = {
  name: 'PageIframe',
  computed: {
    showIframe() {
      return pageGetters.showIframe;
    },
    iframeList() {
      return pageGetters.iframeList;
    },
    currentIframe() {
      return pageGetters.currentIframe;
    }
  },
  watch: {
    $route: {
      handler(to, from) {
        this.iframeCtrl(to, from);
      },
      immediate: true
    }
  },
  methods: {
    iframeCtrl(to, from) {
      if (from && from.meta.iframe) {
        const key = getRouterKey(from);
        const del = isEmpty(key) || !tagsViewGetters.cachedViews.includes(key);
        pageMutations.closeIframe(from.meta.iframe, del);
      }
      if (to.meta.iframe) {
        pageMutations.openIframe(to.meta.iframe);
      }
    }
  }
};
var __render__ = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c('div', {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.showIframe,
      expression: "showIframe"
    }],
    staticClass: "page-iframe"
  }, _vm._l(_vm.iframeList, function (src) {
    return _c('iframe', {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: src === _vm.currentIframe,
        expression: "src === currentIframe"
      }],
      key: src,
      attrs: {
        "id": src,
        "src": src,
        "frameborder": "0",
        "height": "100%",
        "width": "100%"
      }
    });
  }), 0);
};
var __staticRenderFns__ = [];
__component__.render = __render__;
__component__.staticRenderFns = __staticRenderFns__;
__component__._compiled = true;
export default __component__;